<template>
    <div class="app">
        <v-card class="vuety" max-width="1150px" min-height="600px" style="margin-left: 12%">
            <v-card-title class="bee-gray">
                <v-row justify="center">
                    <v-col cols="12">
                        <v-row align="center">
                            <v-col cols="3">
                                <a @click="$router.go(-1)">
                                    <img width="70px" src="~@/assets/icons/regresar.svg" alt srcset />
                                </a>
                            </v-col>
                            <v-col cols="2">
                                <h5 class="titleBack">Regresar</h5>
                            </v-col>
                        </v-row>
                    </v-col></v-row
                >
                <v-spacer></v-spacer>
            </v-card-title>

            <div class="d-flex black" style="width:100%; position: relative; margin-top:-220px;">
                <h1 class="ml-10 white--text">LISTADO DE PEDIDOS</h1>
                <v-spacer></v-spacer>
            </div>
            <div class="d-flex" style="width:100%;">
                <v-row no-gutters align="center" style="height:150px;" class="bee-gray">
                    <v-col cols="1">
                        <v-spacer></v-spacer>
                    </v-col>
                    <v-col cols="6" class="d-flex" style="height:50px;"> <h3 style="margin:auto;">NEGOCIO</h3></v-col>
                    <v-col cols="4">
                        <v-text-field
                            v-model="search"
                            append-icon="mdi-magnify"
                            label="Search"
                            single-line
                            hide-details
                            color="black"
                            style="
                            max-width: 600px; 
                            padding-left: 10px; 
                            padding-right: 20px; 
                            text-justify: distribute-all-lines; 
                            background-color: #FFFFFF;"
                            class="searchAuto"
                        >
                        </v-text-field>
                    </v-col>
                </v-row>
            </div>

            <v-data-table
                :headers="headers"
                :items="restaurants"
                :search="search"
                :item-key="restaurants.id"
                style="position: relative; margin-top:-220px;"
            >
                <template v-slot:no-data>
                    <v-alert :value="true" color="error" icon="warning">
                        No se encontro contenido para mostrar por el momento.
                    </v-alert>
                </template>

                <template v-slot:item="row">
                    <tr style="border-top:none;">
                        <td>{{ row.item.name }}</td>
                        <td>
                            <v-btn icon :to="{ name: 'ordersRestaurants', params: { id: row.item.id } }">
                                <HexButton
                                    style="
                                    background-color: #FBC02D;"
                                    class="btnHex"
                                >
                                    <v-icon>mdi-eye</v-icon>
                                </HexButton>
                            </v-btn>
                        </td>
                    </tr>
                </template>
            </v-data-table>
        </v-card>
    </div>
</template>

<script lang="ts">
import { Component, Vue } from 'vue-property-decorator';
import { namespace } from 'vuex-class';
import { Restaurant } from '@/model/Restaurant';
import HexButton from '@/components/commons/HexButton.vue';
import { User } from '@/model/User';

const loginStore = namespace('LoginModule');
const restaurantStore = namespace('RestaurantModule');
@Component({
    components: {
        HexButton
    }
})
export default class OrdersRestaurants extends Vue {
    @restaurantStore.State
    restaurants!: Restaurant[];

    @loginStore.State
    user!: User;

    async created() {
        //this.restaurants.forEach(res => console.log(res.name));
    }
    search = '';
    headers = [
        {
            text: 'NOMBRE',
            align: 'center',
            sortable: true,
            value: 'name'
        },
        { text: 'VER PEDIDOS', align: 'center', sortable: false, value: 'id' }
    ];
}
</script>
<style type="text/css">
.btnHex {
    width: 45px;
    height: 45px;
}
/* @media (max-width: 700px) {
    .btnHex {
        width: 40px;
        height: 40px;
    }
    .mdi-eye::before {
        content: '\F0208';
        width: 15px;
        height: 15px;
        position: revert;
        margin-top: -20px;
        margin-right: 20px;
    }
    .titleBack {
        width: 100px;
        height: 100px;
        margin-right: 80px;
    }

    .searchAuto {
        position: absolute;
        width: 40%;
    }
    .v-text-field__slot {
        margin-top: -40px;
    }
    .v-input__slot {
        margin-top: 0px;
    }
    .v-input__control {
        margin-top: 0px;
    }
    .v-card.v-sheet.theme--light {
        margin-left: 0%;
    }
    #app .vuety {
        position: center;
        margin-right: 20px;
    }
}

@media (max-width: 800px) {
    .btnHex {
        width: 40px;
        height: 40px;
    }
    .mdi-eye::before {
        content: '\F0208';
        width: 15px;
        height: 15px;
        position: revert;
        margin-top: -20px;
        margin-right: 20px;
    }
    .titleBack {
        width: 100px;
        height: 100px;
        margin-right: 80px;
    }

    .searchAuto {
        position: absolute;
        width: 40%;
    }

    #app .vuety {
        position: center;
        margin-right: 20px;
        height: 800px;
    }
    .v-data-footer__select {
        width: 50px;
        position: absolute;
        font-size: 12px;
        display: flex;
        margin-top: 80px;
    }
    .v-select__selections {
        position: absolute;
        font-size: 4px;
        width: 50px;
    }
    .v-select > .v-input__control > .v-input__slot {
        width: 20px;
    }
    .v-data-footer__pagination {
        font-size: 12px;
    }
    .v-input__slot {
        position: absolute;
        width: 20px;
    }
}


@media only screen  and (max-height: 1420px){
    .titleBack {
        width: 100px;
        height: 100px;
        margin-right: 80px;
    }
    } */
</style>
